%define pypi_name	webob

Name:		python-webob
Version:	1.8.9
Release:	%mkrel 3
Summary:	WSGI request and response object for Python
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/WebOb/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses.

The objects map much of the specified behavior of HTTP, including header
parsing and accessors for other standard parts of the environment.

%package -n python3-webob
Summary:	WSGI request and response object for Python3
%{?python_provide:%python_provide python3-webob}

%description -n python3-webob
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses.

The objects map much of the specified behavior of HTTP, including header
parsing and accessors for other standard parts of the environment.

%prep
%setup -q -n %{pypi_name}-%{version}

rm -rf tests/performance_test.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

#check
# %%pytest

%files -n python3-webob -f %{pyproject_files}
%doc docs/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.8.9-3.mga10
+ Revision: 2240821
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.8.9-2.mga10
+ Revision: 2157899
- rebuild for python3.13

* Sun Mar 02 2025 wally <wally> 1.8.9-1.mga10
+ Revision: 2157569
- new version 1.8.9
- rebuild for python3.13

* Sun Dec 22 2024 papoteur <papoteur> 1.8.8-2.mga10
+ Revision: 2129042
- add and use pytest

* Wed Sep 11 2024 daviddavid <daviddavid> 1.8.8-1.mga10
+ Revision: 2095058
- new version: 1.8.8, fixes CVE-2024-42353 (mga#33532)

* Sat Dec 16 2023 papoteur <papoteur> 1.8.7-5.mga10
+ Revision: 2018425
- rebuild for python 3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.8.7-4.mga9
+ Revision: 1824800
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.8.7-3.mga9
+ Revision: 1780084
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.8.7-2.mga9
+ Revision: 1708445
- rebuild for python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 1.8.7-1.mga9
+ Revision: 1696426
- new version 1.8.7

* Thu Feb 20 2020 umeabot <umeabot> 1.8.6-2.mga8
+ Revision: 1547299
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.8.6-1.mga8
+ Revision: 1487839
- new version: 1.8.6

* Mon Sep 16 2019 daviddavid <daviddavid> 1.8.5-2.mga8
+ Revision: 1441910
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 1.8.5-1.mga7
+ Revision: 1393993
- new version 1.8.5

* Tue Jan 08 2019 tv <tv> 1.6.0-4.mga7
+ Revision: 1352381
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.6.0-3.mga7
+ Revision: 1290561
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.6.0-2.mga7
+ Revision: 1135689
- Rebuild for python 3.6

* Wed Apr 20 2016 philippem <philippem> 1.6.0-1.mga6
+ Revision: 1003713
- update to 1.6.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 1.5.1-1.mga6
+ Revision: 905846
- update to 1.5.1

* Thu Oct 29 2015 philippem <philippem> 1.4.1-1.mga6
+ Revision: 896485
- update to 1.4.1

* Sat Oct 10 2015 tv <tv> 1.4-6.mga6
+ Revision: 888878
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 739545
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-4.mga5
+ Revision: 729968
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.4-2.mga5
+ Revision: 629095
- Rebuild for new Python

* Sat May 24 2014 philippem <philippem> 1.4-1.mga5
+ Revision: 625325
- update to 1.4

* Sat Mar 08 2014 philippem <philippem> 1.3.1-1.mga5
+ Revision: 601329
- update to 1.3.1

* Tue Oct 22 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 544448
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.3-2.mga4
+ Revision: 499715
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.2.3-1.mga4
+ Revision: 450261
- Update to 1.2.3 , add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 379678
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 1.1.1-1.mga2
+ Revision: 158272
- Latest stable upstream 1.1.1

* Tue Jun 21 2011 dmorgan <dmorgan> 1.0.6-1.mga2
+ Revision: 111594
- imported package python-webob


* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 649443
- import python-webob


